<?php
/**
 * The configdimensionformqa view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;
/* featurebar */
$currentNav = 'configureDimension';
include './navs.html.php';
$xAxisName     = !empty($dimension['xAxisName']) ? $dimension['xAxisName'] : '0';
$yAxisName     = !empty($dimension['yAxisName']) ? $dimension['yAxisName'] : '0';
$axisList      = array('x', 'y');
$buildAxisForm = array();
foreach($axisList as $axis)
{
    $defaultOrder = ($axis == 'x') ? '1' : '0';
    $axisName = ($axis == 'x') ? $xAxisName : $yAxisName;
    $buildAxisForm[] = array
    (
        div(setClass('font-medium text-gray-950 text-md', ($axis == 'y') ?  'mt-4' : ''), $lang->thinkwizard->dimension->{$axis . 'AxisSetting'}),
        div
        (
            setClass('bg-gray-100 bg-opacity-50 rounded-sm py-3 mt-3 px-4 pb-5'),
            formGroup
            (
                set::width('calc(50% - 8px)'),
                set::label($lang->thinkwizard->{$axis . 'AxisName'}),
                set::labelHint(array('html' => $lang->thinkwizard->dimension->{$axis . 'AxisNameHint'})),
                set::labelClass('mb-2'),
                picker
                (
                    set::name($axis . 'AxisName'),
                    set::required(true),
                    set::items($lang->thinkwizard->dimension->{$axis . 'AxisNameList'}),
                    set::value($axisName),
                    on::change()
                        ->const('axisDocumentName', ('.' . $axis . '-name'))
                        ->const('axisNameList', $lang->thinkwizard->dimension->{$axis . 'AxisNameList'})
                        ->do("
                            $(axisDocumentName).text(axisNameList[event.target.value]);
                            $(axisDocumentName).attr('title', axisNameList[event.target.value]);
                            $(axisDocumentName).addClass('text-primary font-semibold');
                            setTimeout(function(){ $(axisDocumentName).removeClass('text-primary font-semibold')}, 2000);
                        ")
                )
            ),
            formRow
            (
                setClass('flex justify-between'),
                formGroup
                (
                    setClass($axis . '-axis-order'),
                    set::width('calc(50% - 8px)'),
                    set::label($lang->thinkwizard->dimension->order),
                    set::labelClass('my-2'),
                    setData('height', $lang->thinkwizard->dimension->height),
                    setData('low', $lang->thinkwizard->dimension->low),
                    picker
                    (
                        set::name($axis . 'AxisOrder'),
                        set::inline(true),
                        set::required(true),
                        set::items($lang->thinkwizard->dimension->orderList),
                        set::value(isset($dimension[$axis . 'AxisOrder']) ? $dimension[$axis . 'AxisOrder'] : $defaultOrder),
                        on::inited()->call("changeAxis", (isset($dimension[$axis . 'AxisOrder']) ? $dimension[$axis . 'AxisOrder'] : $defaultOrder), $axis, true),
                        on::change()->call("changeAxis", jsRaw('event.target.value'), $axis)
                    )
                ),
                formGroup
                (
                    set::width('calc(50% - 8px)'),
                    set::label($lang->thinkwizard->dimension->unit),
                    set::labelClass('my-2'),
                    picker
                    (
                        set::name($axis . 'AxisUnit'),
                        set::inline(true),
                        set::required(true),
                        set::items($lang->thinkwizard->dimension->unitList),
                        set::value(isset($dimension[$axis . 'AxisUnit']) ? $dimension[$axis . 'AxisUnit'] : '0'),
                        set::disabled($wizard->model == 'bcg')
                    )
                ),
            )
        ),
    );
}

formPanel
(
    setClass('h-full pt-1 col think-dimension items-stretch px-0 py-0'),
    set::bodyClass('p-0'),
    set::layout('grid'),
    set::actionsClass('shadow-xl py-3'),
    set::actions
    (
        array(array('text' => $lang->thinkwizard->next, 'id' => 'save-button', 'class' => 'btn primary', 'btnType' => 'submit'),)
    ),
    div
    (
        setClass('w-full flex items-stretch gap-4'),
        setStyle(array('min-height' => 'calc(100vh - 165px)')),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->dimension->dimensionConfig),
            $buildAxisForm
        ),
        panel
        (
            setClass('w-1/2 flex-1'),
            set::headingClass('h-12 border-b border-gray-100'),
            set::titleClass('font-medium text-gray-950 text-md'),
            set::title($lang->thinkwizard->dimension->dimensionHint),
            div(
                setClass('bg-gray-100 bg-opacity-50 py-8 px-6 mt-4 rounded-sm'),
                div(
                    setClass('bg-white py-9 px-10 rounded-sm'),
                    div
                    (
                        setClass('relative'),
                        img(setClass('w-full ml-4 mb-4'), set::src('data/thinmory/wizardsetting/bcg/bcg.svg')),
                        div
                        (
                            setClass('x-position absolute flex flex-wrap justify-between gap-2'),
                            div(setClass('x-low')),
                            div(setClass('x-name text-clip'),set::title($lang->thinkwizard->dimension->xAxisNameList[$xAxisName]), $lang->thinkwizard->dimension->xAxisNameList[$xAxisName]),
                            div(setClass('x-height'))
                        ),
                        div
                        (
                            setClass('y-position absolute flex col flex-wrap justify-between gap-2 text-right leading-tight text-center'),
                            setStyle(array('writing-mode' => 'vertical-rl')),
                            div(setClass('y-height flex')),
                            div(setClass('y-name break-word flex justify-center'),set::title($lang->thinkwizard->dimension->yAxisNameList[$yAxisName]), $lang->thinkwizard->dimension->yAxisNameList[$yAxisName]),
                            div(setClass('y-low'))
                        ),
                    )
                )
            )
        )
    )
);
