<?php
/**
 * The configurequestionsforrda view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

/* featurebar */
$currentNav = 'configureQuestions';
include './navs.html.php';

toolbar
(
    item(set(array('class' => 'ghost text-primary', 'icon' => 'eye', 'data-toggle' => 'modal', 'url' => inlink('ajaxquestionpreviewforrda', "marketID=$wizard->id"), 'text' => $lang->thinkwizard->questions->previewExp)))
);

$tree               = array();
$data               = array();
$scoreBlock         = array();
$scoreSetting       = empty($step->options['scoreSetting']) ? '0' : '1';
$count              = empty($step->options['scoreSetting']) ? 5 : 10;
$configureObjects   = json_decode($wizard->config['configureObjects']);
$configureDimension = $wizard->config['configureDimension'];
$objectName         = $configureObjects->type == 'product' ? $lang->thinkwizard->objects->product : $lang->thinkwizard->objects->typeList['RDA'][$configureObjects->type];

if(empty($questions))
{
    $data[] = array('names' => sprintf($lang->thinkwizard->questions->scoreTitle, $step->title, $objectName, $objectName), 'descs' => $lang->thinkwizard->questions->scoreDesc , 'weights' => 100);
}
else
{
    foreach($questions['names'] as $index => $name)
    {
        $data[] = array('names' => $name, 'descs' => $questions['descs'][$index], 'weights' => $questions['weights'][$index]);
    }
}

foreach($steps as $stepItem)
{
    $tree[] = array('key' => $stepItem->id, 'text' => $stepItem->title, 'hint' => $stepItem->title, 'selected' => $stepItem->id == $step->id, 'dataUrl' => createLink('thinkwizard', 'configurequestionsforrda', "marketID=$marketID&wizardID=$wizard->id&stepID=$stepItem->id"), 'onClick' => jsRaw("(event, item) => submitQuestionsOfRDA(item.item.dataUrl)"));
}

for($i=1; $i<=$count; $i++) $scoreBlock[] = div(setClass('bg-gray-100 w-1/5 py-1.5 rounded-sm text-center text-gray-500'), $i);

div
(
    div
    (
        setClass('flex gap-4 scrollbar-thin scrollbar-hover overflow-y-auto'),
        setStyle(array('height' => 'calc(100vh - 170px)')),
        div
        (
            setClass('bg-canvas'),
            setStyle(array('width' => '300px', 'border-top-left-radius' => 'var(--radius)', 'border-top-right-radius' => 'var(--radius)')),
            div(setClass('h-12 border-b px-5 flex items-center font-medium text-gray-950'), $lang->thinkwizard->questions->dimension),
            div
            (
                setClass('configure-questions-tree scrollbar-thin scrollbar-hover overflow-y-auto'),
                tree
                (
                    set::className('col flex-auto scrollbar-hover scrollbar-thin overflow-y-auto overflow-x-hidden'),
                    set::items($tree),
                    set::hover(true),
                )
            )
        ),
        div
        (
            setClass('relative flex-1'),
            btn
            (
                setClass('absolute text-sm'),
                setStyle(array('width' => '58px', 'right' => '32px', 'top' => '6px')),
                set::btnType('submit'),
                set::type('primary'),
                set::text($lang->save),
                on::click()
                ->const('loadUrl', inlink('configurequestionsforrda', "&marketID=$marketID&wizardID=$step->wizard&stepID=$step->id"))
                ->do('submitQuestionsOfRDA(loadUrl)')
            ),
            panel
            (
                set::bodyClass('px-8 py-0'),
                set::headingClass('h-12 border-b border-gray-100'),
                set::titleClass('font-medium text-gray-950 text-base'),
                set::title($lang->thinkwizard->questions->configuation),
                setClass('flex-1'),
                formBatch
                (
                    set::data($data),
                    set::minRows(5),
                    setStyle(array('max-width' => 'var(--zt-panel-form-max-width)', 'min-width' => 'var(--zt-panel-form-min-width)', 'height' => 'calc(100vh - 218px)')),
                    setClass('h-full mx-auto col think-questions-form items-stretch relative'),
                    set::actions(array()),
                    on::input('[name^="weights["]')->call('window.changeInput', jsRaw('event')),
                    on::change('[name^="descs["]')->call('window.changeError', jsRaw('event')),
                    on::change('[name^="names["]')->call('window.changeError', jsRaw('event')),
                    on::change('[name^="weights["]')->call('window.changeError', jsRaw('event')),
                    on::input('[name^="names["]')->call('window.changeNameInput'),
                    to::formBefore
                    (
                        div
                        (
                            setClass('w-full flex items-center bg-primary-50 px-4 py-2.5 rounded-sm mt-4'),
                            (!isset($configureObjects->enableCompetitor) || $configureObjects->enableCompetitor == '1') ? sprintf($lang->thinkwizard->questions->guide, $step->title, $objectName, $objectName) : sprintf($lang->thinkwizard->questions->unActuallyGuide, $step->title, $objectName)
                        ),
                        formGroup
                        (
                            setClass('py-3 mt-3 pr-4'),
                            set::label($lang->thinkwizard->questions->scoreSetting),
                            radioList
                            (
                                set::name('scoreSetting'),
                                set::items($lang->thinkwizard->questions->scoreList),
                                set::value($scoreSetting),
                                set::inline(true),
                                on::change()->do("changeScoreSetting(event)"),
                            )
                        ),
                        div
                        (
                            setClass('relative'),
                            div(setClass('flex gap-1 score-block mb-3'), $scoreBlock),
                            btn
                            (
                                setClass('absolute text-sm px-3 bg-primary-50 text-primary ring-0 criteria-btn'),
                                setStyle(array('top' => '-44px', 'right' => '5px')),
                                set::url(inlink('scoringcriteria', "marketID=$marketID&stepID=$step->id&count=$count")),
                                setData('toggle', 'modal'),
                                setData('dismiss', 'modal'),
                                setData('size', 'sm'),
                                setData('criteriaHref', inlink('scoringcriteria', "marketID=$marketID&stepID=$step->id&count=%d")),
                                $lang->thinkwizard->criterion->title
                            )
                        )
                    ),
                    formBatchItem
                    (
                        set::required(true),
                        set::name('names'),
                        set::label($lang->thinkwizard->questions->title),
                        set::width(!empty($configureDimension['enableRatio']) ? 'calc(37%)' : '50%'),
                        set::control('textarea'),
                        set::placeholder($lang->thinkwizard->pleaseInput)
                    ),
                    formBatchItem
                    (
                        set::label($lang->thinkwizard->questions->desc),
                        set::name('descs'),
                        set::width(!empty($configureDimension['enableRatio']) ? 'calc(37%)' : '50%'),
                        set::control('textarea'),
                        set::placeholder($lang->thinkwizard->pleaseInput)
                    ),
                    !empty($configureDimension['enableRatio']) ? formBatchItem
                    (
                        set::required(true),
                        set::label($lang->thinkwizard->questions->weight),
                        set::name('weights'),
                        set::control(array('control' => 'inputGroup')),
                        inputControl
                        (
                            input(set(array(
                                    'name'        => 'weights',
                                    'type'        => 'number',
                                    'min'         => 0,
                                    'max'         => 100,
                                    'disabled'    => !empty($dimension['canConfigureRatio']) ? $dimension['canConfigureRatio'] : false,
                                    'value'       => '',
                                    'placeholder' => $lang->thinkwizard->dimension->weight,
                                )),
                            ),
                            to::suffix($lang->thinkwizard->dimension->percentageSign),
                            set::suffixWidth(32)
                        )
                    ) : null
                )
            )
        )
    ),
    div
    (
        setClass('py-3 bg-canvas flex gap-6 justify-center border-t shadow'),
        btn
        (
            setStyle('width', '100px'),
            set::btnType('submit'),
            set::type('primary'),
            set::text($lang->thinkwizard->next),
            on::click()
            ->const('nextUrl', inlink('previewforrda', "marketID=$marketID&wizardID=$step->wizard"))
            ->do('submitQuestionsOfRDA(nextUrl)')
        )
    )
);
