<?php
/**
 * The ajaxViewRulesForAppeals view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$config           = json_decode($wizard->config, true);
$configureObjects = is_string($config['configureObjects']) ? json_decode($config['configureObjects'], true) : $config['configureObjects'];
$enableCompetitor = !isset($configureObjects['enableCompetitor']) || $configureObjects['enableCompetitor'] == '1';
$objectName       = $configureObjects['type'] == 'product' ? $lang->thinkwizard->objects->product : $lang->thinkwizard->objects->typeList['RDA'][$configureObjects['type']];

$fnGenerateRules = function() use ($lang, $config, $enableCompetitor, $objectName)
{
    $configureDimension = is_string($config['configureDimension']) ? json_decode($config['configureDimension'], true) : $config['configureDimension'];
    $ruleText           = $configureDimension['enableRatio'] == 1 ? 'weight' : 'noWeight';
    $orderCount         = $enableCompetitor ? 5 : 4;
    $lang->thinkwizard->previewSteps->rules['appeals'][$ruleText][3] = $enableCompetitor ? str_replace('%s', $objectName, $lang->thinkwizard->previewSteps->rules['appeals'][$ruleText][3]) :  sprintf($lang->thinkwizard->previewSteps->rules['scp']['weight'], $objectName);
    $rules = array();

    for($order = 1; $order < $orderCount; $order++)
    {
        $rules[] = div
        (
            setClass('flex gap-4 mt-4'),
            div
            (
                setClass('h-5 text-gray-950 bg-gray-100 rounded-full flex items-center justify-center'),
                setStyle(array('min-width' => '1.25rem', 'max-width' => '1.25rem')),
                $order
            ),
            div(html($lang->thinkwizard->previewSteps->rules['appeals'][$ruleText][$order]))
        );
    }
    return $rules;
};

panel
(
    setClass('shadow-none'),
    set::titleClass('text-lg'),
    set::headingClass('px-0'),
    set::bodyClass('px-0'),
    set::title($lang->thinkwizard->previewSteps->rule),
    div
    (
        div(setClass('p-2 bg-primary-50 rounded'), html(sprintf($lang->thinkwizard->previewSteps->ruleGuide['appeals'], $wizard->name))),
        div
        (
            $fnGenerateRules,
            div
            (
                setClass('relative'),
                img(setClass('w-full mt-4'), set::src($enableCompetitor ? 'data/thinmory/wizardsetting/rda/dimension8.svg' : 'data/thinmory/wizardsetting/rda/dimension5.svg')),
                div(setClass('absolute flex object-green text-sm'), $enableCompetitor ?  ($lang->thinkwizard->dimension->actuallyObject[0] . $objectName) : $lang->thinkwizard->dimension->defaultObject[0]),
                div(setClass('absolute flex object-orange text-sm'), $enableCompetitor ? ($lang->thinkwizard->dimension->actuallyObject[1] . $objectName) : $lang->thinkwizard->dimension->defaultObject[1])
            )
        )
    )
);
